Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.adapter
Class RepositoryImpl

    java.lang.Object
      com.bea.p13n.content.adapter.RepositoryImpl

All Implemented Interfaces:
  Repository, Serializable

public class RepositoryImpl
extends Object
implements Repository

Represents a new WLP Content Repository the invokes an old ContentManager. The adapter code will look for the ContentManager/DocumentManager JNDI home name in the connection properties under "CONTENT_MANAGER_HOME".

See Also:
  Serialized Form

Constructor Summary
`RepositoryImpl()`

Method Summary
`Ticket` | `connect(Credentials credential)` Returns a ticket if the user can be authenticated.
`Ticket` | `connect(String userName, String password)` Returns a ticket if the user can be authenticated.
`String` | `getName()` Gets the name of this Repository.
`Properties` | `getProperties()` Gets the configuration properties for this repository.
`void` | `setName(String name)` Sets the name of this Repository.
`void` | `setProperties(Properties properties)` Sets the configuration properties for this repository.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepositoryImpl

    public RepositoryImpl()

Method Detail

### connect

    public Ticket connect(Credentials credential)

  Returns a ticket if the user can be authenticated.

  Specified by:
    `connect` in interface `Repository`
  Parameters:
    `credential` - - the credentials of the user connecting to the Repository.

### connect

    public Ticket connect(String userName,
                          String password)

  Description copied from interface: `Repository`
  Returns a ticket if the user can be authenticated.

  Specified by:
    `connect` in interface `Repository`
  Parameters:
    `userName` - - the username to authenticate.
    `password` - - the password for the user.

### getName

    public String getName()

  Description copied from interface: `Repository`
  Gets the name of this Repository.

  Specified by:
    `getName` in interface `Repository`

### getProperties

    public Properties getProperties()

  Gets the configuration properties for this repository.

  Specified by:
    `getProperties` in interface `Repository`
  Returns:
    Properties - the repository configuration properties.

### setName

    public void setName(String name)

  Description copied from interface: `Repository`
  Sets the name of this Repository. This will always be set before connect is called.

  Specified by:
    `setName` in interface `Repository`

### setProperties

    public void setProperties(Properties properties)

  Sets the configuration properties for this repository. The config map will always be set before getTicket is called.

  Specified by:
    `setProperties` in interface `Repository`
  Parameters:
    `properties` - - the repository configuration properties.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved